org.baraza.server.sms

## Class BPDUCode

- java.lang.Object
- - org.baraza.server.sms.BPDUCode

-     public class BPDUCode
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BPDUCode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `displayTimeDate(Calendar cal)`
    `String` | `eightBitDecode(String encmsg)`
    `String` | `sevenBitDecode(String encmsg)`
    `String` | `sevenBitDecode(String encmsg, int msglen)`
    `String` | `sevenBitEncode(String message)`
    `String` | `sevenBitEncode(String message, int x)`
    `String` | `swapDigits(String str)`
    `Date` | `TimeStampDecode(String timestamp)`
    `String` | `TimeStampEncode(Calendar time)`
    `String` | `toHexString(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BPDUCode

          public BPDUCode()

  - ### Method Detail

    - #### displayTimeDate

          public String displayTimeDate(Calendar cal)

    - #### swapDigits

          public String swapDigits(String str)

    - #### toHexString

          public String toHexString(int b)

    - #### sevenBitEncode

          public String sevenBitEncode(String message)

    - #### sevenBitDecode

          public String sevenBitDecode(String encmsg)

    - #### sevenBitDecode

          public String sevenBitDecode(String encmsg,
                              int msglen)

    - #### TimeStampEncode

          public String TimeStampEncode(Calendar time)

    - #### TimeStampDecode

          public Date TimeStampDecode(String timestamp)

    - #### eightBitDecode

          public String eightBitDecode(String encmsg)

    - #### sevenBitEncode

          public String sevenBitEncode(String message,
                              int x)

Copyright © 2016 openBaraza. All Rights Reserved.